Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1337258 - DNS does not work through Squid with NetworkManager managed /etc/resolv.conf when Squid starts on boot
Summary: DNS does not work through Squid with NetworkManager managed /etc/resolv.conf ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luboš Uhliarik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-18 15:55 UTC by Justin Haygood
Modified: 2017-08-08 14:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:33:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Justin Haygood 2016-05-18 15:55:56 UTC
Description of problem:

If squid is enabled using systemd to start on boot (systemctl enable squid.service), and your network connection is managed via NetworkManager (for instance, a wifi enabled laptop), DNS won't work through Squid.

Squid logs show that no DNS servers exist in /etc/resolv.conf.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install squid on a wifi connected laptop using NetworkManager
2. Enable squid service
3. Reboot (so that squid starts)
4. Configure Firefox to use squid as proxy (localhost:3128)
5. Try to access any website that isn't in Firefox's DNS cache

Actual results:

Squid returns webpage showing DNS cannot find hostname.


Expected results:

Squid returns the webpage in question

Additional info:

This worked on Fedora 23. I upgraded a laptop with this configuration to Fedora 24 and it broke. For now, I'm hardcoding Google's DNS into Squid's config, but Squid should still work for NetworkManager-managed connections

Comment 1 Tomáš Hozza 2016-05-19 13:11:24 UTC
Lubos, this may have something to do with the fact, that the /etc/resolv.conf is a symlink, when using NM.

Comment 3 Fedora End Of Life 2017-07-25 20:48:16 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 14:33:16 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.